#pragma once

#include <yandex/maps/wiki/graph/common.h>
#include <yandex/maps/wiki/graph/edge.h>

#include <functional>

namespace maps {
namespace wiki {
namespace graph {

typedef std::function<Edges(NodeID)> GetOutEdges;
typedef std::function<Edges(NodeID)> GetInEdges;

} // namespace graph
} // namespace wiki
} // namespace maps
